Package org.oasis_open.docs.ws_calendar.ns.soap

# Class UpdateItemResponseType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType
org.oasis_open.docs.ws_calendar.ns.soap.UpdateItemResponseType

public class UpdateItemResponseType extends BaseResponseType
Response to message to update an item. The server will return a changeToken value which should replace the value currently held by the client.

Java class for UpdateItemResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="UpdateItemResponseType">
       <complexContent>
         <extension base="{http://docs.oasis-open.org/ws-calendar/ns/soap}BaseResponseType">
           <sequence>
             <element name="changeToken" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `changeToken`

  ### Fields inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType

  `errorResponse, id, message, status`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateItemResponseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getChangeToken()`
  Gets the value of the changeToken property.
  `void`
  `setChangeToken(String value)`
  Sets the value of the changeToken property.

  ### Methods inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType

  `getErrorResponse, getId, getMessage, getStatus, setErrorResponse, setId, setMessage, setStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### changeToken

    protected String changeToken

- ## Constructor Details

  - ### UpdateItemResponseType

    public UpdateItemResponseType()

- ## Method Details

  - ### getChangeToken

    public String getChangeToken()
    Gets the value of the changeToken property.
    Returns:
      possible object is `String`

  - ### setChangeToken

    public void setChangeToken(String value)
    Sets the value of the changeToken property.
    Parameters:
      `value` - allowed object is `String`